Summary:	xrdb application - X server resource database utility
Summary(pl.UTF-8):	Aplikacja xrdb - narzędzie do bazy danych zasobów serwera X
Name:		xorg-app-xrdb
Version:	1.0.9
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xrdb-%{version}.tar.bz2
# Source0-md5:	ed2e48cf33584455d74615ad4bbe4246
URL:		http://xorg.freedesktop.org/
BuildRequires:	pkgconfig >= 1:0.19
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	mcpp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xrdb is used to get or set the contents of the RESOURCE_MANAGER
property on the root window of screen 0, or the SCREEN_RESOURCES
property on the root window of any or all screens, or everything
combined. You would normally run this program from your X startup
file.

%description -l pl.UTF-8
xrdb służy do odczytu lub ustawiania zawartości właściwości
RESOURCE_MANAGER głównego okna ekranu 0 lub właściwości
SCREEN_RESOURCES głównego okna dowolnego z ekranów, lub wszystkiego
razem. Zwykle używa się tego programu z poziomu skryptu startowego X.

%prep
%setup -q -n xrdb-%{version}

%build
%configure \
	--with-cpp=/usr/bin/mcpp

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xrdb
%{_mandir}/man1/xrdb.1*
%changelog
* Tue Aug 21 2012 Jan Rękorajski <baggins@pld-linux.org> a849e58
Use mcpp as preprocessor to avoid pulling gcc/binutils
Release 2

* Tue Apr 05 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ca0f2a5
- up to 1.0.9 (fixes CVE-2011-0465; root hole under some special conditions)

* Thu Feb 03 2011 Jakub Bogusz <qboosh@pld-linux.org> b8b542f
- updated to 1.0.8

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> d46d85c
- updated to 1.0.7

* Fri Aug 27 2010 Elan Ruusamäe <glen@pld-linux.org> 098a6d0
- more precise diff

* Fri Aug 27 2010 Elan Ruusamäe <glen@pld-linux.org> 4ecd64e
- gcc split todo

* Mon Oct 19 2009 Jakub Bogusz <qboosh@pld-linux.org> 6f56122
- updated to 1.0.6

* Thu Feb 26 2009 Elan Ruusamäe <glen@pld-linux.org> 4e975a2
- require cpp >= 4.0 to avoid pulling compat-gcc for cpp dep; rel 2

* Sat Mar 08 2008 Jakub Bogusz <qboosh@pld-linux.org> da0dcef
- updated to 1.0.5

* Tue Aug 21 2007 Jakub Bogusz <qboosh@pld-linux.org> 8d8433f
- added AUTHORS to doc

* Thu Aug 16 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8584d22
- up to 1.0.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bbd6baf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7997833
- converted to UTF-8

* Sat Jan 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 379887e
- real descs from man

* Wed Jan 24 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 94d972d
- up to 1.0.3

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> 7dd3e6f
- release 1

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1746d9e
- up to 1.0.2

* Fri Jan 13 2006 Jakub Bogusz <qboosh@pld-linux.org> a21edff
- 1.0.1 (X11R7.0 release)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 4aa8ccd
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 338f039
- 0.99.1 (X11R7.0-RC1)
- R: cpp

